Bug 199538 - Insecure operations in the certain safe-level restrictions
Insecure operations in the certain safe-level restrictions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
: Security
Depends On:
Blocks: 199539
  Show dependency treegraph
 
Reported: 2006-07-20 04:40 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-23 23:17:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testcase1 (83 bytes, text/plain)
2006-07-20 04:44 EDT, Akira TAGOH
no flags Details
testcase2 (84 bytes, text/plain)
2006-07-20 04:44 EDT, Akira TAGOH
no flags Details
testcase3 (99 bytes, text/plain)
2006-07-20 04:47 EDT, Akira TAGOH
no flags Details

  None (edit)
Description Akira TAGOH 2006-07-20 04:40:00 EDT
Description of problem:
Vulnerabilities has been reported in Ruby, which can be proceeded insecure
operations that originally wasn't expected in the certain safe-level restrictions.

Version-Release number of selected component (if applicable):
all versions of Ruby without any exceptions, such as 1.6.x and 1.8.x.

How reproducible:
always

Steps to Reproduce:
1.ruby dir_jvn13947696.rb
2.ruby dir_jvn13947696_2.rb
3.
  
Actual results:
no exceptions.

Expected results:
$ ruby dir_jvn13947696.rb
dir_jvn13947696.rb:5:in `read': Insecure: operation on untainted Dir (SecurityError)
        from dir_jvn13947696.rb:3:in `join'
        from dir_jvn13947696.rb:3
$ ruby dir_jvn13947696_2.rb
dir_jvn13947696_2.rb:5:in `close': Insecure: can't close (SecurityError)
        from dir_jvn13947696_2.rb:3:in `join'
        from dir_jvn13947696_2.rb:3


Additional info:
This affects to FC4 and FC5 as well.
Comment 1 Akira TAGOH 2006-07-20 04:44:03 EDT
Created attachment 132732 [details]
testcase1
Comment 2 Akira TAGOH 2006-07-20 04:44:49 EDT
Created attachment 132733 [details]
testcase2
Comment 3 Akira TAGOH 2006-07-20 04:47:27 EDT
Created attachment 132734 [details]
testcase3

Forgot to mention one more.

Actual Result:
no exception.

Expected Result:
$ ruby regexp_jvn13947696.rb
regexp_jvn13947696.rb:5:in `initialize': Insecure: can't modify regexp
(SecurityError)
	from regexp_jvn13947696.rb:3:in `join'
	from regexp_jvn13947696.rb:3
Comment 4 Akira TAGOH 2006-07-21 07:56:37 EDT
Fixed in:
devel - 1.8.4-11.fc6
FC-5  - 1.8.4-8.fc5
FC-4  - 1.8.4-3.fc4
Comment 5 Fedora Update System 2006-07-22 15:06:54 EDT
ruby-1.8.4-8.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.